Time Warp changes orbit
07/10/2020 08:13 PM - KerbalKiller2000
Description

When time warping (in career mode), the orbit of a vessel changes. Time warping at 5x speed causes the orbit to change a couple
hundred meters, while time warping at maximum (100,000x) causes a vessel to go from low-Kerbin orbit to a suborbital trajectory. It
doesn't matter if it's auto-time warp or manual time warp. | have had it happen a few times on science mode, but it has not happened
as much as when on career mode. No mods have been installed.

Steps to replicate:

1. Launch a vessel in to space in career mode (happens more often when in orbit).

2. Manual time warp or auto-time warp to a certain point while watching apoapsis or periapsis height.
3. Orbit changes.

History

#1 - 07/10/2020 08:14 PM - KerbalKiller2000

| will add screenshots if needed.

#2 - 07/12/2020 05:53 PM - KerbalKiller2000
- Subject changed from Time Warp changes orbit in career mode to Time Warp changes orbit

- Description updated

#3 - 07/26/2020 01:29 AM - Jognt

KerbalKiller2000 wrote:
When time warping (in career mode), the orbit of a vessel changes. Time warping at 5x speed causes the orbit to change a couple hundred
meters, while time warping at maximum (100,000x) causes a vessel to go from low-Kerbin orbit to a suborbital trajectory. It doesn't matter if it's

auto-time warp or manual time warp. | have had it happen a few times on science mode, but it has not happened as much as when on career
mode. No mods have been installed.

Steps to replicate:

1. Launch a vessel in to space in career mode (happens more often when in orbit).

2. Manual time warp or auto-time warp to a certain point while watching apoapsis or periapsis height.
3. Orbit changes.

| too encountered this problem. I'm used to orbit lines changing during warp being purely cosmetic, but lately | keep having the orbit being changed
permanently.

I've gotten into the habit of waiting for the orbit numbers to stop changing after cutting throttle, sometimes takes longer than others (several seconds
of orbit numbers changing slightly without thrust input).

Haven't had my orbits changed yet since, but | haven't tested enough to know whether it actually has an impact.

#4 - 08/03/2020 01:47 PM - Entropian

I'm having this problem in 1.10.1 as well. | can't reproduce it though, but | think the change in orbit has increased in severity.

#5 - 08/17/2020 06:10 AM - six1niner
- Version changed from 1.10.0 to Xbox One - Enhanced Edition 2020-06-23 Patch 12
- Platform XBoxOne added
Same issue here. After performing transfer burn to Duna from Kerbin, using "warp to next manuever" for mid-course inclination change, changed an
encounter to falling very short as though | only performed 3/4 of the transfer burn. Definitely not just visual as | continued my path to confirm.
Note:"warp to.." used max time warp. Bug doesn't happen consistently, but has happened more than once to me.

#6 - 08/17/2020 06:51 AM - six1niner

It doesn't seem to happen if | slowly increase time warp, almost as though the calculation from real time to max warp is wrong.

#7 - 08/17/2020 06:58 AM - six1niner
Been playing since Making History. Bug started with last patch afaik

#8 - 08/21/2020 09:54 PM - KerbalKiller2000
- Version changed from Xbox One - Enhanced Edition 2020-06-23 Patch 12to 1.10.1

#9 - 09/08/2020 12:55 PM - Entropian

Ok, I have more information. The bug only happens if you suddenly shift timewarp up or down, as sixininer said. As far as | know, this is only
achievable using mods, although the bug exists in the stock game. Another forum thread was started on the issue here:
https://forum.kerbalspaceprogram.com/index.php?/topic/196777-my-orbit-changes-when-i-use-time-warp/

#10 - 09/08/2020 07:35 PM - Jognt

Lost my first Eve mission because | used "Warp to Maneuver" to warp to my 105km Pe burn to circularize and found myself to be a hot flaming mess
inside the atmosphere.

If any developer can share insight into the workings of KSP's time warp and what sort of code is run when activating it, then that would probably help
with reproducing this. Hard to debug if you don't have access to the code.

#11 - 10/22/2020 02:25 PM - just_jim

I've been trying, but | have not been able to reproduce this one yet. Not saying it's not happening. Just something more going on... Is this happening
in stock games, or modded? or both? That's important
Can someone attach a saved game where this was happening, please?

#12 - 10/31/2020 03:13 PM - KerbalKiller2000

Time warp affected my orbit when | didn't have any mods installed, and it still happens after | installed Kerbal Engineer.

#13 - 05/26/2022 11:44 AM - KerbalKiller2000

This issue seems to have been resolved; it is no longer occurring in my save files.

#14 - 12/15/2022 08:16 PM - OhMaiCaptain

It definitely is still happening, happened today after doing an intercept burn from LKO to the Mun. When warping to go there | ended up at my
maneuver to orbit the mun, only was still around Kerbin, only 2/3 distance to the mun, and on the descent back to Kerbin.

Most of the time it happens for me after burning from LKO to intercept Eve or Koho, and have another maneuver set up to warp to. Initiating the warp,
there's a chance the ship will never leave Kerbin SOI.

This is version 1.12.4, both DLCs, only mod is Kerbal Engineer Redux. In Hard games, this causes you to either fail a mission because you lose
precious dV needing to burn again, or shut down the game and reload the persistant save.
